Subject: The leadership pipeline and WG chairs

From: "Salz, Rich" <[email-masked]>
Date: Sat, 13 Nov 2021 14:03:13 +0000

I noticed that the recent PRIV BOF had a former IETF Chair and a former AD as chairs. I hope that if/when a WG is chartered, that one of those slots will be given to someone new.

I also want the Area Directors to look through their working groups and consider asking some experienced people to step down so that their position can be filled by someone new to the role. I am sure that in some cases it will be a difficult,  perhaps even unpleasant, conversation to have. I know that sometimes we used a WG chair position to help a long-time contributor justify their involvement to their employer. For the long-term health of the organization, we must stop doing that, if only because it goes against our declaration that people participate as individuals.

Sent to both the ietf@ and iesg@ mailing list; please be careful about replies.

---

From: Keith Moore <[email-masked]>
Date: Sat, 13 Nov 2021 12:04:10 -0500

On 11/13/21 9:03 AM, Salz, Rich wrote:

> I noticed that the recent PRIV BOF had a former IETF Chair and a 
> former AD as chairs. I hope that if/when a WG is chartered, that one 
> of those slots will be given to someone new.
>
> I also want the Area Directors to look through their working groups 
> and consider asking some experienced people to step down so that their 
> position can be filled by someone new to the role. I am sure that in 
> some cases it will be a difficult,  perhaps even unpleasant, 
> conversation to have. I know that sometimes we used a WG chair 
> position to help a long-time contributor justify their involvement to 
> their employer. For the long-term health of the organization, we must 
> stop doing that, if only because it goes against our declaration that 
> people participate as individuals.
>
I understand and support the desire to bring new people in, but I feel 
like this is stated in very much the wrong way.    There should not be a 
bias against experienced people.   We NEED to employ experienced people 
in leadership roles, and some WGs need experienced leadership more than 
others.   It should be left to the IESG to decide which roles to fill 
with an experienced person versus those to fill with someone with less 
experience (perhaps to give that new person experience).

Also, ageism is not a virtue.

Keith

---

From: "[email-masked]" <[email-masked]>
Date: Sat, 13 Nov 2021 09:21:13 -0800

On Nov 13, 2021, at 6:03 AM, Salz, Rich <rsalz=[email-masked]> wrote:
> 
> sometimes we used a WG chair position to help a long-time contributor justify their involvement to their employer

It seems the converse to me: employer support *determines* the available pool of candidates for IETF positions.

The only way to stop that is to either fund the positions directly or lighten them to the point where they can be done as incidental service.

Joe

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 14 Nov 2021 08:49:15 +1300

Rich,

There's a reason that experienced outsiders to the topic are often picked 
as BOF chairs: because holding a *successful* BOF is far from trivial, and in particular a BOF needs to be chaired by people who are not advocating for a particular solution (or even a particular problem).

That said, teaming an experienced WG chair with a first-time WG chair is a very good idea. I'll add one more argument: WG chairs are required to show a degree of neutrality, and by keeping the same chairs for a long time, we might unintentionally lose very valuable contributions from them.

However, none of this strikes me as new. Restating it certainly does no harm.

Regards
    Brian

On 14-Nov-21 03:03, Salz, Rich wrote:
> I noticed that the recent PRIV BOF had a former IETF Chair and a former 
AD as chairs. I hope that if/when a WG is chartered, that one of those slots will be given to someone new.
> 
> I also want the Area Directors to look through their working groups and 
consider asking some experienced people to step down so that their position can be filled by someone new to the role. I am sure that in some cases 
it will be a difficult,  perhaps even unpleasant, conversation to have. I know that sometimes we used a WG chair position to help a long-time 
contributor justify their involvement to their employer. For the long-term health of the organization, we must stop doing that, if only because it 
goes against our declaration that people participate as individuals.

---

From: Michael Richardson <[email-masked]>
Date: Sat, 13 Nov 2021 14:59:57 -0500

I've been saying something similiar for some years: lack of diversity in
chairs => lack of diversity in AD candidates.

Salz, Rich <rsalz=[email-masked]> wrote:
    > consider asking some experienced people to step down so that their
    > conversation to have.

Not necessarily difficult.
I think that many experienced people understand the need to train new people,
and most will welcome help.

Turn the experienced people into WG secretaries: that lets them push all the
buttons if they need to, helping new chairs along.

This is also why I want the contributor section encoded better into the XML,
and I'd like the WG chairs and shepherd for a WG document always listed, so that in the
future, the DT can more clearly acknowledge this.

    > I know that sometimes we used a WG chair position
    > to help a long-time contributor justify their involvement to their
    > employer. For the long-term health of the organization, we must stop
    > doing that, if only because it goes against our declaration that people
    > participate as individuals.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide

---

From: Lloyd W <[email-masked]>
Date: Sun, 14 Nov 2021 11:22:07 +1100

> On 14 Nov 2021, at 01:07, Salz, Rich <rsalz=[email-masked]> wrote:
> 
> I also want the Area Directors to look through their working groups and consider asking some experienced people to step down so that their position can be filled by someone new to the role.

The IETF has an ageing, dwindling, population.

Where will these new people come from?

Asking experienced people to step down when the replacement pipeline is in fact empty does not seem wise -- at least, in the short term.

L.

---

From: Benjamin Kaduk <[email-masked]>
Date: Sat, 13 Nov 2021 16:39:29 -0800

> Where will these new people come from?

When I ask for volunteers who might be interested in being a WG chair in
the security area, I get a significant number of responses from new names I
don't recognize (in addition to some older names I do recognize).

I don't think your concern is justified, at least in the security area.

-Ben

---

From: Toerless Eckert <[email-masked]>
Date: Sun, 14 Nov 2021 03:54:29 +0100

Michael: +1 on the reviewes etc:
  I would like to see tracking of reviews people do on their DT pafges.
  Shouldn't be too difficult to tool:
  
  Start a thread with some appropriate title, including draft name,
  IETF mailer attaches URLs of the thread to some new sub-page
  of your DT page. Something like this.
  
Also, there are several triple-chairs.
Maybe that is the most easy starting point to create more diversity.

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Donald Eastlake <[email-masked]>
Date: Sun, 14 Nov 2021 00:21:56 -0500

On Sat, Nov 13, 2021 at 3:01 PM Michael Richardson
<[email-masked]> wrote:
>...

Last I knew, Secretaries couldn't request publication. That request
represents the judgement that the document and publication request
have WG consensus, a Chair judgement. By the way, while it is common
to consult your AD, WG Secretaries can be appointed by the WG Chair.

> future, the DT can more clearly acknowledge this.

I would be fine with the document Shepherd, WG Chair, and sponsoring
AD being listed in documents as long as it was not too prominent near
the end and only the Authors/Editors are listed on the front page. But
they shouldn't be labeled as a "contributor" unless they actually made
a technical contribution. Being listed as a contributor has IPR
implications.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

>...

---

From: Toerless Eckert <[email-masked]>
Date: Sun, 14 Nov 2021 06:48:42 +0100

On Sun, Nov 14, 2021 at 12:21:56AM -0500, Donald Eastlake wrote:
> Last I knew, Secretaries couldn't request publication.

and they're not meant to get the WG Webex key or meetecho key either,
so the job role doesn't help to actually support organizing stuff
(like design team meetings etc..). Pretty stupid.

> a technical contribution. Being listed as a contributor has IPR

Good point, rfc 8179, 5.1.1.
However, i think to remember all the slides and practices in WGs
do only call on authors for IPR disclosures. That looks like a bug.

Cheers
    toerless

---

From: Stewart Bryant <[email-masked]>
Date: Sun, 14 Nov 2021 10:47:56 +0000

> On 14 Nov 2021, at 00:22, Lloyd W <lloyd.wood=[email-masked]> wrote:
> 
> 

Listening to Geoff Huston's well thought out predictions on the future of the Internet, 

https://youtu.be/cx2G5QxS9Eo <https://youtu.be/cx2G5QxS9Eo>

I wonder how much this matters?

We seem to be heading to a world of multiple private communication systems with little if any of the Internet that supported permissionless innovation across the globe surviving.

So in my view, the only leadership worth discussing is leadership with the vision and skills to turn this situation around.

I would be very interested to know if this is even on the IESG radar, and if so what their thoughts are?

- Stewart

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Sun, 14 Nov 2021 12:41:07 +0000

[Replying to Rich's original post after reading all replies.]

I do not have the numbers for all WGs, but I know many WGs where the chairs include a 'newcomer' because, as Rich wrote, getting a pipeline of talents to build the next gen leadership is critical for all of us (including the IESG). This is indeed mainly about 'new' WGs as it is challenging to remove a chair w/o sounding like a negative action :-( Unsure how to address the latter issue...

There are also some sensitive BoFs or WGs where impartial / neutral and experimented chairs are really required for efficiency.

As a side note, it is also difficult to find a chair: some public 'job offering' emails have not always received replies... It seems that some areas or some WG are more attractive than others ;-)

Thank you anyway for your interest in the long term of the IETF,

Regards

-éric

PS: and yes, the IESG/IAB did not wait for the good presentation by Geoff Huston (and others) to understand that the end-to-end Internet of pre 2000 is not the same as today Internet.

From: iesg <[email-masked]> on behalf of "Salz, Rich" <rsalz=[email-masked]>
Date: Saturday, 13 November 2021 at 15:07
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: The leadership pipeline and WG chairs

---

From: Michael Richardson <[email-masked]>
Date: Sun, 14 Nov 2021 16:49:47 -0500

> to consult your AD, WG Secretaries can be appointed by the WG Chair.

The secretaries can push the buttons, but they don't have the authority to do
so.  (Like RPNs and RTs, most can do delegated acts under the authority of an MD)
Knowing where the buttons in the DT is one of the mysteries for new people.
(Even ex-ADs often don't know where all the buttons are, because new ones are
created regularly.)

    > the end and only the Authors/Editors are listed on the front page.

The contributor section is at the end.

    > But

If you think that WG chairs, in the process of finding consensus among
differing options aren't making a technical contribution, then maybe you need
to think again about what that means.

This is not a zero-sum game.

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 15 Nov 2021 11:49:33 +1300

>      > a technical contribution. Being listed as a contributor has IPR

Why? We are *all* covered by BCP79 the moment we open our mouths or send
an email with content "that is intended to affect the IETF Standards Process"
[RFC8179]. Being a listed contributor doesn't increase our obligation to
disclose IPR, although it does perhaps draw attention to it.

    Brian

---

From: Toerless Eckert <[email-masked]>
Date: Mon, 15 Nov 2021 00:41:40 +0100

> disclose IPR, although it does perhaps draw attention to it.

Correct me if i am wrong, but we are only doing explicit
ask for IPR against authors (should be contributors), according
to section 5.1.1. Not against section 5.1.2 - because we can't
(we don't know whom we would have to ask).

Cheers
    Toerless

---

From: Scott Bradner <[email-masked]>
Date: Sun, 14 Nov 2021 19:22:09 -0500

> On Nov 14, 2021, at 12:21 AM, Donald Eastlake <[email-masked]> wrote:

...

> a technical contribution. Being listed as a contributor has IPR

Brian makes the basic point here - the IPR implications come from making a contribution, not from being listed as a contributor

(IPR lawyers know how to read mailing lists, Internet drafts  and meeting minutes so are not dependent 
on someone being labeled - but having a label attached may make it easier to explain to a judge/jury)

Scott

---

From: Scott Bradner <[email-masked]>
Date: Sun, 14 Nov 2021 19:23:54 -0500

I thought that the call for IPR was sent to the WG mailing list - but the rules 
say that disclosure is not dependent on someone asking

Scott

> On Nov 14, 2021, at 6:41 PM, Toerless Eckert <[email-masked]> wrote:
>

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 15 Nov 2021 13:59:43 +1300

> say that disclosure is not dependent on someone asking

Yes, normally it's part of WG last call. Shepherds also generally make
an additional call to the authors prior to submitting a draft to the AD.
But that's all due diligence - the obligation to disclose is there anyay.

Third party disclosures are not obligatory, of course.

     Brian

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 15 Nov 2021 15:56:16 +0000

*   I do not have the numbers for all WGs, but I know many WGs where the chairs include a 'newcomer' because

It would be easy to get numbers if we can understand what kind of numbers we want.  It’s a simple matter of SQL queries. Scrolling through https://datatracker.ietf.org/wg/ I see lots of highly repeated names, and lots of non-new-people WG’s, but that is of course anecdotal.

  *   There are also some sensitive BoFs or WGs where impartial / neutral and experimented chairs are really required for efficiency.

Experimented is a cute typo. :)  I am not sure that I agree with that reasoning. In particular, I do not see why *both* chairs would have to be experienced. And as others have pointed out, a WG Secretary could be added.

  *   As a side note, it is also difficult to find a chair: some public 'job offering' emails have not always received replies... It seems that some areas or some WG are more attractive than others ;-)

I did not say it was easy; I directly said some of the conversations would be difficult.

  *   Thank you anyway for your interest in the long term of the IETF,

Frankly, it is not a happy place to be these days.

---

From: John C Klensin <[email-masked]>
Date: Mon, 15 Nov 2021 17:25:03 -0500

(Responding to this message because it is convenient and
shortening it considerably)

--On Sunday, November 14, 2021 12:41 +0000 "Eric Vyncke
(evyncke)" <evyncke=[email-masked]> wrote:

>...
> There are also some sensitive BoFs or WGs where impartial /
> neutral and experimented chairs are really required for
> efficiency.
> 
> As a side note, it is also difficult to find a chair: some
> public 'job offering' emails have not always received
> replies... It seems that some areas or some WG are more
> attractive than others ;-)
>...

I am confused by this thread, so a few observations.  They come
at least partially from the perspective of someone who
involvement with the ARPANET and Internet and Internet/ARPANET
protocol design predates all but a handful of today's active
IETF participants and who would certainly qualify for exclusion
my most criteria similar to those I understand Rich to be
suggesting.

First, I have been unwilling to be sole chair of a WG for a long
time.  My reasoning is not to specifically avoid excluding
newcomers but to make room for them and encourage them to come
in and get the experience with the clear understanding that they
will have a co-chair who can led support, mentor (or whatever
the preferred term is today), etc., as needed.  I think having a
policy that people with long experience, or who (as a metaphor,
not a sexist comment) are getting long and white in the beard,
as the only chairs or co-chairs of a WG is a good idea and that,
even if the IESG does not adopt it, those of us in that category
should resist those situations. 

We also tried the idea for a while of having an "area advisor"
for some or many WGs -- not a document shepherd but a sort of
assistant co-chair responsible to the AD(s) and quite explicitly
with that support and advisory role.  I don't know that it was
ever dropped --it just sort of faded out of sight, perhaps
because someone decided that the needed tooling was not worth it
(for a case like that it would be about as bad an excuse as I've
heard).

As to at least part of the IPR issues, I suggest that, in
deciding whether to approve formation of a WG (or allow it to
continue), if the IESG cannot find chairs (and participants)
that represent different interests and points of view, it is
time to ask hard questions about what value the IETF process
would add to whatever is being proposed.  We should not be in
the business of making protocols that are intended to be
proprietary better.   More important, the best-documented area
in which SDOs have gotten into serious anti-trust/
competitiveness problems has involved a company or cluster of
interests standardizing something in a way that blocks products
(or puts them at a significant disadvantage) from other
organizations from competing fairly.

However, with the exception of that last issue, there are
exceptions to everything.  There might be an occasion where the
only way to get a WG to focus and reach rough consensus involves
having a very senior (sole) chair whom everyone respects and who
no one is going to try to drag into petty jockeying for position
(I can remember at least one case where that was very important
to the success of the group).    

So, this is another area where I don't believe in rigid rules.
But guidelines and principles that generally do not permit very
senior people to lead WGs on their own and that favor those
people assume support, education, and training roles rather than
leadership ones are, IMO, good ideas, not only making room for
newer people in leadership roles but making such that those more
junior people have the support needed to succeed (and feel
confident enough about that to volunteer or respond to
arm-twisting).

best,
   john

---

From: Roman Danyliw <[email-masked]>
Date: Mon, 15 Nov 2021 22:27:34 +0000

Hi Rich!

Responding inline as the responsible AD for the PRIV BOF …

From: iesg <[email-masked]> On Behalf Of Salz, Rich
Sent: Saturday, November 13, 2021 9:03 AM
To: [email-masked]
Cc: [email-masked]
Subject: The leadership pipeline and WG chairs

[Roman] I’m deeply appreciative for the leadership and time that Alissa and Adam volunteered to prepare and manage a successful BoF for us.  In addition to the preparation of the proponents, their facilitation (before and during the meeting) is why we had a productive discussion.

[Roman] I strongly concur with Brian and Éric [1] [2] on their observations that leading BoF is not straightforward matter, especially when the possibility of controversial topics might arise (e.g., supporting advertising use cases in new work)

[Roman] I do concur with you (Rich) that the teaming model for co-chairs is a success pattern.  I can’t predict the direction of the community on PRIV (please follow the mailing list if you have thoughts [3]), but I’m sure that the IESG would consider the broadest pool of WG chair candidates in this or other instances.

Regards,
Roman

[1] https://mailarchive.ietf.org/arch/msg/ietf/yM_zjSCyXPXjgqCp-_RhPGvIuW4/
[2] https://mailarchive.ietf.org/arch/msg/ietf/og0_qMvz3qiNM2y-uqMBT6-erVo/
[3] https://mailarchive.ietf.org/arch/browse/ppm/

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 16 Nov 2021 00:04:23 +0000

We disagree, but that’s okay and I appreciate your posting.

> but I’m sure that the IESG would consider the broadest pool of WG chair candidates in this or other instances.

I don’t doubt that they feel they are considering the broadest pool.  I do doubt that they are placing enough emphasis in building a leadership pipeline by bringing on less-experienced people to WG chairs.  I am glad you support the teaming model (certainly not my idea, I was a beneficiary of it when I first became a co-chair in 2014).

---

From: Larry Masinter <[email-masked]>
Date: Mon, 15 Nov 2021 17:38:28 -0800

> I would be fine with the document Shepherd, WG Chair, and sponsoring AD
> being listed in documents as long as it was not too prominent near the end
> and only the Authors/Editors are listed on the front page. But they
> shouldn't
> be labeled as a "contributor" unless they actually made a technical
> contribution. Being listed as a contributor has IPR implications.

Allowing your name to be listed can be taken as a kind of endorsement.
(That's why we wanted McCahill to RFC 1738. Demonstrating endorsement
of www by the main gopher guy.)

What good would knowing the sponsoring AD's name do?
As a "who can I blame?" piece of metadata? After the RFC is published,
what good is that?
--
https://LarryMasinter.net https://interlisp.org

---

From: S Moonesamy <[email-masked]>
Date: Mon, 15 Nov 2021 22:12:46 -0800

Hi Rich,
At 06:03 AM 13-11-2021, Salz, Rich wrote:
>and consider asking some experienced people to step down so that 
>their position can be filled by someone new to the role. I am sure 
>that in some cases it will be a difficult,  perhaps even unpleasant, 
>position to help a long-time contributor justify their involvement 
>to their employer. For the long-term health of the organization, we 
>must stop doing that, if only because it goes against our 
>declaration that people participate as individuals.

Two individuals with AD experience were appointed in the example 
which you provided.  It is implausible that two experienced persons 
are needed for a BOF.

Favoring long-term attendees causes an "experience" 
problem.  Removing long-term attendees causes an "experience" problem [1].

It is positive to see three Area Directors commenting on the 
thread.  That is a departure from recent practice.

Regards,
S. Moonesamy

1. It is impossible for a person to gain experience if he/she is not 
given the opportunity to do some work.  If everyone with experience 
is put on retirement, you end up with a group with very little experience.

---

From: Michael Richardson <[email-masked]>
Date: Tue, 16 Nov 2021 09:00:02 -0500

Roman Danyliw <[email-masked]> wrote:
    > [Roman] I’m deeply appreciative for the leadership and time that Alissa
    > and Adam volunteered to prepare and manage a successful BoF for us.  In
    > addition to the preparation of the proponents, their facilitation
    > (before and during the meeting) is why we had a productive discussion.

I agree that we need to have experienced people lead BOFs.
A third less experienced (not new, middle experience) person could have been
included.

    > [Roman] I strongly concur with Brian and Éric [1] [2] on their
    > observations that leading BoF is not straightforward matter, especially
    > when the possibility of controversial topics might arise (e.g.,
    > supporting advertising use cases in new work)

Some math departments have a refreshing attitude towards first year courses.
Rather than make teaching the unwashed first years a punishment for the
low-person on the ladder, they regard it as being a place to show off their
top-talent. (First year math classes in University are like 99% non-math students..)

The departments consider that the ability to reach out to new minds is a
complex and sophisticated act, and that only the best and most experienced in
the department should do that.
Newer, younger, less experienced professors should have their skills honed
teaching higher classes where the students are more interested, focused, and
more helpful.

I think that the IETF is doing something similar here when it comes to BOF staffing.
I trust that Roman will find some green charing talent to train when PRIV
reaches WG stage (under whatever name...)

I think that perhaps the converse is not occuring: we should be dropping new
talent into existing calm WGs in order for them to experience things.

In this I agree with Rich: some rotation of personnel is useful and wanted.
Maybe we should have a "guest chair" process...

  . o O ( "This WG chair brought to you by the letter X, and the number 3.14" )